#include <bits/stdc++.h>
using namespace std;
int mu(int a,int b)
{
	if(b==1)return a;
	else return a*mu(a,b-1);
}
int tinh(int m,int n)
{
	int i,s=0;
	for(i=1;i<=m;i++)s=s+mu(i,n);
	return s;
}
int main()
{
	ifstream f1("DQU.INP");
	ofstream f2("DQU.OUT");
	int a,b;
	f1>>a>>b;
	f2<<tinh(a,b);
	f1.close();
	f2.close();
}
